cURL
curl --request GET \
--url https://api.numeralhq.com/tax/transactions/{transaction_id}/refunds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.numeralhq.com/tax/transactions/{transaction_id}/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.numeralhq.com/tax/transactions/{transaction_id}/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"refunds": [
{
"id": "ref_tr_123456789",
"object": "tax.refund",
"testmode": "false",
"refund_processed_at": 1714787673,
"line_items": [
{
"product": {
"reference_product_name": "Widget",
"reference_line_item_id": "line_987654321",
"reference_product_id": "p-1233543",
"product_tax_code": "GENERAL_MERCHANDISE"
},
"tax_jurisdictions": [
{
"tax_rate": 0.07,
"tax_due_decimal": 700,
"rate_type": "GENERAL STATE SALES TAX",
"fee_amount": 0,
"tax_authority_name": "Tennessee",
"tax_authority_type": "",
"tax_type": "SALES"
}
],
"quantity": 2,
"tax_amount": -14,
"amount_excluding_tax": -200,
"amount_including_tax": -214
}
]
}
]
}{
"error": {
"error_code": "missing_field",
"error_message": "Field is required",
"error_meta": {
"field": "path.to.fieldname",
"expected": "string",
"received": "undefined"
}
}
}Transactions
Get Refunds for Transaction
Retrieve the refunds for a specific transaction
GET
/
tax
/
transactions
/
{transaction_id}
/
refunds
cURL
Get Refunds for Transaction Endpoint (2026-03-01)
Retrieve the refunds for a specific transaction using its ID.Remember to include the
X-API-Version: 2026-03-01 header in your request to use this API version.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The transaction ID used to fetch associated refunds
Response
List of refunds for a specific transaction
Show child attributes
Show child attributes
⌘I